%define pkgname    xine-lib

Name:          libxine
Version:       1.2.13
Release:       3mamba
Epoch:         2
Summary:       A free multimedia player. It plays back CDs, DVDs, and VCDs
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://xinehq.de
Source:        http://downloads.sourceforge.net/sourceforge/xine/%{pkgname}-%{version}.tar.xz
Patch0:        libxine-1.2.13-ffmpeg6-compatibility.patch
Patch1:        libxine-1.2.13-ffmpeg6-compatibility_2.patch
Patch2:        libxine-1.2.13-ffmpeg7-compatibility.patch
Patch3:        libxine-1.2.13-configure-c99.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libICE-devel
BuildRequires: libMagick-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libXinerama-devel
BuildRequires: libXv-devel
BuildRequires: libXvMC-devel
BuildRequires: liba52dec-devel
BuildRequires: libaa-devel
BuildRequires: libalsa-devel
BuildRequires: libaom-devel
BuildRequires: libavcodec-ffmpeg-devel
BuildRequires: libavformat-ffmpeg-devel
BuildRequires: libavutil-ffmpeg-devel
BuildRequires: libbluray-devel
BuildRequires: libcaca-devel
BuildRequires: libcdio-devel
BuildRequires: libdav1d-devel
BuildRequires: libdca-devel
BuildRequires: libdirectfb-devel
BuildRequires: libdvdnav-devel
BuildRequires: libdvdread-devel
BuildRequires: libflac-devel
BuildRequires: libgcrypt-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libglu-devel
BuildRequires: libglvnd-devel
BuildRequires: libgnutls-devel
BuildRequires: libgomp-devel
BuildRequires: libgpm-devel
BuildRequires: libjack-devel
BuildRequires: libjpeg-devel
BuildRequires: libmad-devel
BuildRequires: libmng-devel
BuildRequires: libmodplug-devel
BuildRequires: libmusepack-devel
BuildRequires: libnfs-devel
BuildRequires: libnsl-devel
BuildRequires: libogg-devel
BuildRequires: libopenssl-devel
BuildRequires: libpng-devel
BuildRequires: libpostproc-ffmpeg-devel
BuildRequires: libpulseaudio-devel
BuildRequires: libsdl12-compat-devel
BuildRequires: libslang-devel
BuildRequires: libsmbclient-devel
BuildRequires: libsndio-devel
BuildRequires: libspeex-devel
BuildRequires: libssh2-devel
BuildRequires: libtheora-devel
BuildRequires: libv4l-devel
BuildRequires: libva-devel
BuildRequires: libvcdimager-devel
BuildRequires: libvdpau-devel
BuildRequires: libvorbis-devel
BuildRequires: libvpx-devel
BuildRequires: libwavpack-devel
BuildRequires: libwayland-devel
BuildRequires: libwayland-egl-devel
BuildRequires: libxcb-devel
BuildRequires: libxdg-basedir-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: libfreetype-devel
BuildRequires: libbonobo-devel
BuildRequires: libgomp-devel
BuildRequires: libIDL-devel
BuildRequires: libslang-devel
BuildRequires: libdav1d-devel
#%if "%{_target_cpu}" == "i586"
#BuildRequires: librte-devel
#%endif
BuildRequires: autoconf
BuildRequires: bison
BuildRequires: gettext-devel
BuildRequires: transfig >= 3.2.4
BuildRequires: ImageMagick
Provides:      %{pkgname} = %{epoch}:%{version}-%{release}
Requires:      %{name}-tools = %{epoch}:%{version}-%{release}
Obsoletes:     libxine1 < 2:1.2.12
Obsoletes:     libfame <= 0.9.1-5mamba

%description
xine is a free (GPL-licensed) high-performance, portable and reusable multimedia playback engine.
xine itself is a shared library with an easy to use, yet powerful API which is used by many applications for smooth video playback and video processing purposes.

%package devel
Summary:       Devel files for xine libraries
Group:         Development/Libraries
Requires:      %{name} = %{epoch}:%{version}-%{release}
Requires:      %{name}-tools = %{epoch}:%{version}-%{release}
Provides:      %{pkgname}-devel = %{epoch}:%{version}-%{release}
Obsoletes:     libxine1-devel < 2:1.2.12
Obsoletes:     libfame-devel <= 0.9.1-5mamba

%description devel
xine is a free (GPL-licensed) high-performance, portable and reusable multimedia playback engine.
xine itself is a shared library with an easy to use, yet powerful API which is used by many applications for smooth video playback and video processing purposes.
This is the devel package for the xine-lib library.

%package tools
Summary:       Tools provided with xine libraries
Group:         Applications/Multimedia
Requires:      %{name} = %{epoch}:%{version}-%{release}

%description tools
xine is a free (GPL-licensed) high-performance, portable and reusable multimedia playback engine.
xine itself is a shared library with an easy to use, yet powerful API which is used by many applications for smooth video playback and video processing purposes.
This is the tools package for the xine-lib library.

%debug_package

%prep
%setup -q -n %{pkgname}.%{version}
#-D -T
#:<< _EOF
%patch 0 -p1 -b .ffmpeg6-compatibility
%patch 1 -p1 -b .ffmpeg6-compatibility_2
%patch 2 -p1 -b .ffmpeg7-compatibility
%patch 3 -p1 -b .configure-c99

cp /usr/share/autoconf/build-aux/config.* .

#sed -i "s,| arm-\*  |,| aarch64-\* | arm-\*  |," config.sub

%build
#:<< _EOF

export CFLAGS="%{optflags} -fomit-frame-pointer -Xlinker -zmuldefs"

%configure \
   --enable-ipv6 \
   --enable-fb \
   --enable-directfb \
   --disable-altivec \
   --disable-faad \
   --disable-gnomevfs \
   --disable-mlib \
   --disable-vis \
   --with-w32-path=%{_libdir}/win32/ \
   --with-external-ffmpeg \
   --with-external-dvdnav \
   --with-libflac \
   --with-wavpack \
   --enable-antialiasing \
   --enable-modplug \
   --enable-vdpau \
   --enable-xvmc \
   --without-esound

find ./ -name Makefile -exec \
   sed -i "s/\(.*-mcpu=\)[^ ]*\(.*\)/\1%{_target_cpu}\2/g" {} \;

# fix to set correct ffmpeg include locations
sed -i "s|\(#define HAVE_FFMPEG_AVUTIL_H 1\)|//\1|" include/configure.h

%make

%install
[ %{buildroot} != / ] && rm -rf "%{buildroot}"
%makeinstall

%find_lang libxine2

# create the folder for w32codecs
install -d %{buildroot}%{_libdir}/win32/
echo "\
win32 native dll codecs are available at
http://www.mplayerhq.hu/MPlayer/releases/codecs/
" > %{buildroot}%{_libdir}/win32/README_w32codecs

mv %{buildroot}%{_datadir}/doc/xine-lib \
   %{buildroot}%{_datadir}/doc/libxine-%{version}

%clean
[ %{buildroot} != / ] && rm -rf "%{buildroot}"

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f libxine2.lang
%defattr(-,root,root)
%{_libdir}/libxine.so.*
%dir %{_libdir}/xine
%{_libdir}/xine/plugins/
%dir %{_libdir}/win32
%{_libdir}/win32/README_w32codecs
%doc AUTHORS COPYING 

%files devel
%defattr(-,root,root)
%{_bindir}/xine-config
%{_datadir}/aclocal/xine.m4
%dir %{_includedir}/xine
%{_includedir}/xine/*.h
%{_includedir}/xine.h
%{_libdir}/libxine.so
%{_libdir}/pkgconfig/libxine.pc
%{_datadir}/doc/libxine-%{version}/
%{_mandir}/man1/xine-config.*
%{_mandir}/man5/xine.*
%doc ChangeLog CREDITS TODO

%files tools
%defattr(-,root,root)
%{_bindir}/xine-list-*
%{_mandir}/man1/xine-list-*
%dir %{_datadir}/xine-lib
%{_datadir}/xine-lib/*

%changelog
* Sun May 26 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.13-3mamba
- rebuilt without libfame and obsolete it
- added ffpmeg 6 and 7 patches from Fedora

* Mon Apr 15 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.13-2mamba
- rebuilt

* Tue Jan 31 2023 Automatic Build System <autodist@mambasoft.it> 1.2.13-1mamba
- automatic version update by autodist

* Wed May 25 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.12-3mamba
- rebuilt by autoport with build requirements: libMagick-devel>=7.1.0.35-1mamba

* Mon May 23 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.12-2mamba
- rebuilt with libdav1d

* Thu Mar 10 2022 Automatic Build System <autodist@mambasoft.it> 1.2.12-1mamba
- automatic version update by autodist

* Fri Jan 22 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.11-2mamba
- rebuilt without libesound

* Mon Dec 21 2020 Automatic Build System <autodist@mambasoft.it> 1.2.11-1mamba
- automatic version update by autodist

* Sat Oct 17 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.10-3mamba
- removed requirement for ImageMagick

* Wed Jan 01 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.10-2mamba
- obsolete libxine1, add a -tools subpackage, add debug package

* Tue Dec 31 2019 Automatic Build System <autodist@mambasoft.it> 1.2.10-1mamba
- automatic version update by autodist

* Tue Jul 08 2014 Automatic Build System <autodist@mambasoft.it> 1.2.6-1mamba
- automatic version update by autodist

* Tue Apr 08 2014 Automatic Build System <autodist@mambasoft.it> 1.2.5-1mamba
- automatic version update by autodist

* Tue Sep 24 2013 Automatic Build System <autodist@mambasoft.it> 1.2.4-1mamba
- automatic version update by autodist

* Sat Jun 01 2013 Automatic Build System <autodist@mambasoft.it> 1.2.3-1mamba
- automatic version update by autodist

* Sun Jun 10 2012 Automatic Build System <autodist@mambasoft.it> 1.2.2-1mamba
- update to 1.2.2

* Mon Apr 02 2012 Automatic Build System <autodist@mambasoft.it> 1.2.1-2mamba
- automatic version update by autodist

* Sun Feb 12 2012 Automatic Build System <autodist@mambasoft.it> 1.2.1-1mamba
- automatic version update by autodist

* Mon Nov 14 2011 Automatic Build System <autodist@mambasoft.it> 1.1.20-1mamba
- automatic version update by autodist

* Sat Nov 05 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.19-3mamba
- rebuilt against ffmpeg 0.8

* Sun Aug 22 2010 Automatic Build System <autodist@mambasoft.it> 1.1.19-2mamba
- automatic rebuild by autodist

* Mon Jul 26 2010 Automatic Build System <autodist@mambasoft.it> 1.1.19-1mamba
- automatic update to 1.1.19 by autodist

* Fri Jul 09 2010 Automatic Build System <autodist@mambasoft.it> 1.1.18.1-5mamba
- automatic rebuild by autodist

* Wed Jun 30 2010 Automatic Build System <autodist@mambasoft.it> 1.1.18.1-4mamba
- automatic rebuild by autodist

* Wed Jun 09 2010 Automatic Build System <autodist@mambasoft.it> 1.1.18.1-3mamba
- automatic rebuild by autodist

* Thu Jun 03 2010 Automatic Build System <autodist@mambasoft.it> 1.1.18.1-2mamba
- automatic rebuild by autodist

* Wed Mar 10 2010 Davide Madrisan <davide.madrisan@gmail.com> 1.1.18.1-1mamba
- update to 1.1.18.1

* Thu Jan 14 2010 Automatic Build System <autodist@mambasoft.it> 1.1.17-2mamba
- automatic rebuild by autodist

* Sun Dec 06 2009 Automatic Build System <autodist@mambasoft.it> 1.1.17-1mamba
- automatic update to 1.1.17 by autodist

* Wed Nov 25 2009 Automatic Build System <autodist@mambasoft.it> 1.1.16.3-5mamba
- automatic rebuild by autodist

* Tue Jul 14 2009 Automatic Build System <autodist@mambasoft.it> 1.1.16.3-4mamba
- automatic rebuild by autodist

* Mon Jun 29 2009 Automatic Build System <autodist@mambasoft.it> 1.1.16.3-3mamba
- automatic rebuild by autodist

* Wed May 20 2009 Automatic Build System <autodist@mambasoft.it> 1.1.16.3-2mamba
- automatic rebuild by autodist

* Mon Apr 06 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.16.3-1mamba
- automatic update to 1.1.16.3 by autodist

* Mon Feb 16 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.16.2-2mamba
- rebuilt

* Tue Feb 10 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.16.2-1mamba
- automatic update to 1.1.16.2 by autodist

* Mon Jan 12 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.16.1-1mamba
- automatic update to 1.1.16.1 by autodist

* Thu Jan 08 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.16-1mamba
- automatic update to 1.1.16 by autodist

* Fri Jan 02 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.15-5mamba
- automatic rebuild by autodist

* Wed Dec 10 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.15-4mamba
- automatic rebuild by autodist

* Fri Nov 14 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.15-3mamba
- automatic rebuild by autodist

* Fri Sep 05 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.15-2mamba
- fixed a compilation issue in <xine/buffer.h> detected while compiling kde software

* Wed Aug 13 2008 gil <puntogil@libero.it> 1.1.15-1mamba
- update to 1.1.15

* Mon Jun 30 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.14-1mamba
- update to 1.1.14

* Tue Jun 24 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.13-4mamba
- enabled build with libflac

* Sat Jun 21 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.13-3mamba
- rebuilt with use of external ffmpeg
- disabled arts

* Tue Jun 17 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.13-2mamba
- rebuilt against ImageMagick 6.4.1

* Mon Jun 16 2008 Aleph0 <aleph0@openmamba.org> 1.1.13-1mamba
- update to 1.1.13
- fixed CVE-2008-1878 and other integer overflows

* Tue Apr 15 2008 Aleph0 <aleph0@openmamba.org> 1.1.12-1mamba
- update to 1.1.12 (also fixes CVE-2008-1686)

* Thu Mar 20 2008 Aleph0 <aleph0@openmamba.org> 1.1.11-1mamba
- update to 1.1.11 (also fixes CVE-2008-0073)

* Tue Feb 12 2008 Aleph0 <aleph0@openmamba.org> 1.1.10.1-1mamba
- update to 1.1.10.1 (fixes CVE-2008-0486)

* Tue Jan 29 2008 Aleph0 <aleph0@openmamba.org> 1.1.10-1mamba
- update to 1.1.10 (fixes CVE-2006-1664)

* Tue Jan 15 2008 Aleph0 <aleph0@openmamba.org> 1.1.9.1-1mamba
- update to 1.1.9.1
- fix against CVE-2008-0225

* Mon Jan 07 2008 Aleph0 <aleph0@openmamba.org> 1.1.9-1mamba
- update to 1.1.9

* Thu Aug 30 2007 Aleph0 <aleph0@openmamba.org> 1.1.8-1mamba
- update to 1.1.8

* Thu Jun 07 2007 Aleph0 <aleph0@openmamba.org> 1.1.7-1mamba
- update to 1.1.7 (built with arts support for backward compatibility)
- added the build requirements for libdca-devel

* Wed Apr 18 2007 Aleph0 <aleph0@openmamba.org> 1.1.6-2mamba
- rebuilt againt libaa 1.4.0

* Wed Apr 18 2007 Aleph0 <aleph0@openmamba.org> 1.1.6-1mamba
- update to version 1.1.6 by autospec
- build against libcaca 0.99.beta11

* Tue Apr 10 2007 Aleph0 <aleph0@openmamba.org> 1.1.5-1mamba
- update to version 1.1.5 by autospec
- fixed security issue CVE-2007-1246

* Mon Jan 29 2007 Aleph0 <aleph0@openmamba.org> 1.1.4-1qilnx
- update to version 1.1.4 by autospec
- documentation moved to devel package
- manpage for xine-config moved to devel package

* Wed Jan 17 2007 Aleph0 <aleph0@openmamba.org> 1.1.3-1qilnx
- update to version 1.1.3 by autospec
- security update: fixes CVE-2006-2200 and a buffer overrun in Real Media
  input plugin

* Tue Jul 11 2006 Davide Madrisan <davide.madrisan@qilinux.it> 1.1.2-1qilnx
- update to version 1.1.2 by autospec
- this version fixes CVE-2005-4048, CVE-2006-2802, CVE-2006-1664

* Wed Jun 14 2006 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 1.1.1-5qilnx
- added conditional build requirement

* Wed Jan 11 2006 Davide Madrisan <davide.madrisan@qilinux.it> 1.1.1-4qilnx
- fixed requirement for devel package
- added missing build requirement (libdirectfb-devel)

* Mon Jan 02 2006 Davide Madrisan <davide.madrisan@qilinux.it> 1.1.1-3qilnx
- rebuilt

* Wed Dec 21 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.1.1-2qilnx
- security update for CVE-2005-4048 (embedded ffmpeg), qibug#99

* Thu Nov 17 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.1.1-1qilnx
- update to version 1.1.1 by autospec

* Tue Nov 08 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.1.0-1qilnx
- update to version 1.1.0 by autospec
- fixed security issue QSA-2005-118 (CAN-2005-2967)

* Wed Jul 27 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.0.2-1qilnx
- update to version 1.0.2 by autospec

* Thu Jun 09 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.0.1-3qilnx
- rebuild with support for speex enabled

* Thu Apr 28 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.0.1-2qilnx
- added some missing build requirements

* Tue Apr 26 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.0.1-1qilnx
- update to version 1.0.1 by autospec

* Sat Jan 01 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0-1qilnx
- add obsolete entry for previous rc versions

* Sat Jan 01 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0-1qilnx
- update to version 1.0

* Fri Dec 24 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1rc8-2qilnx
- rebuild with new libe2fs-devel, libkrb5-devel packages

* Thu Dec 16 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1rc8-1qilnx
- update to version 1rc8 by autospec

* Tue Nov 16 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1rc7-1qilnx
- new version rebuild

* Sat Oct 02 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1rc6-1qilnx
- new version rebuild
- added needed BuildRequires entry for `libcaca' and `libtheora'
- added the file README_w32codecs
- also fixes security issues (QSA-2004-039)

* Sat Jun 26 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1rc5-1qilnx
- new version rebuild (important bugfixes and a security fix)

* Tue May 11 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1rc4-2qilnx
- hack to force the compilation for %{_target_cpu} cpus

* Fri Apr 30 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1rc4-1qilnx
- new version rebuild (fixes a vulnerability in xine's RTSP streaming code)

* Fri Apr 09 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1rc3c-1qilnx
- new version rebuild
- added the directory for the win32dll codecs
- added support for Free Lossless Audio Codec (FLAC) and Fast Assembly Mpeg
  Encoding (FAME) library

* Sat Mar 20 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1rc3b-1qilnx
- new version rebuild
- added ESD (libesound) support

* Mon Dec 29 2003 Davide Madrisan <davide.madrisan@qilinux.it> 1rc3a-1qilnx
- rebuilt with latest rc ("emergency bugfix release")

* Thu Dec 18 2003 Davide Madrisan <davide.madrisan@qilinux.it> 1rc3-1qilnx
- rebuilt with latest rc

* Mon Oct 27 2003 Davide Madrisan <davide.madrisan@qilinux.it> 1rc2-1qilnx
- rebuilt with latest version
- added missing BuildRequires entries

* Mon Oct 06 2003 Davide Madrisan <davide.madrisan@qilinux.it> 1rc1-1qilnx
- rebuilt with version 1rc1

* Thu Sep 04 2003 Davide Madrisan <davide.madrisan@qinet.it> 1rc0a-2qilnx
- added support for libSDL

* Wed Sep 03 2003 Davide Madrisan <davide.madrisan@qinet.it> 1rc0a-1qilnx
- rebuilt with version 1rc0a
- dependencies updated to support OGG/VORBIS, freetype2, gnome-vfs
- workarounds to force gcc -march to i586 and bypass the include Xlib.h bug

* Thu Jul 31 2003 Silvan Calarco <silvan.calarco@qinet.it> 1beta12-1qilnx
- first build for xine
